{% load static %}

<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container">
        <a class="navbar-brand" href="{% url 'home_page' %}">omicsBroker</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false"
                aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                {% url 'home_page' as url %}
                <li class="nav-item">
                    <a class="nav-link {% if request.path == url %}active{% endif %}" aria-current="page"
                       href="{{ url }}">Home</a>
                </li>

                {% url 'overview' as url %}
                <li class="nav-item">
                    <a class="nav-link {% if request.path == url %}active{% endif %}" aria-current="page"
                       href="{{ url }}">Overview</a>
                </li>

                {% url 'faq_list' as url %}
                <li class="nav-item">
                    <a class="nav-link {% if request.path == url %}active{% endif %}" aria-current="page"
                       href="{{ url }}">FAQ</a>
                </li>

                {% url 'events' as url %}
                <li class="nav-item">
                    <a class="nav-link {% if request.path == url %}active{% endif %}" aria-current="page"
                       href="{{ url }}">Events</a>
                </li>
                {% url 'about' as url %}
                <li class="nav-item">
                    <a class="nav-link {% if request.path == url %}active{% endif %}" aria-current="page"
                       href="{{ url }}">About</a>
                </li>
            </ul>
            <div class="d-flex">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    {% if user.is_authenticated %}
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#"
                           id="navbarDropdown" role="button"
                           data-bs-toggle="dropdown" aria-expanded="false">
                            <i class="fas fa-user-circle"></i>
                        </a>
                        <ul class="dropdown-menu"
                            aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" href="#">Signed in as
                                <b>{{ user.get_username }}</b></a>
                            </li>

                             <li>
                                <hr class="dropdown-divider">
                            </li>

                            <li><a class="dropdown-item" href="{% url 'project_list' %}">
                                Your projects</a></li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>

                            {% if request.user.is_staff %}
                            <li><a
                                    href="{% url 'admin:index' %}"
                                    class="dropdown-item">Admin</a></li>
                            {% endif %}
                            <li><a class="dropdown-item"
                                   href="{% url 'profile'%}">Your profile</a></li>
                            <li><a class="dropdown-item"
                                   href="{% url 'logout'%}">Logout</a></li>
                        </ul>
                    </li>

                    {% else %}
                    <li class="nav-item"><a class="nav-link"
                                            href="{% url 'login'%}">Sign In</a>

                    <li class="nav-item"><a href="{% url 'signUp' %}"
                                            class="nav-link">Sign Up</a>
                    </li>
                    {% endif %}

                </ul>
            </div>
        </div>
    </div>
</nav>